Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.serverPool
Class ServerPool

`java.lang.Object
oracle.ovs.api.datamodel.serverPool.ServerPool`

All Implemented Interfaces:
  java.io.Serializable

      public class ServerPool

extends java.lang.Object
implements java.io.Serializable

This class holds the configuration details for a virtualServer pool.

Such details may include:
1. The unique identifier
2. The display name and _description
3. Virtualization Types Supported
4. Server pool status
5. Shared Location path

See Also:
  `ServerPoolStatus`, `ServerPoolConstants`, Serialized Form

Constructor Summary
`ServerPool()`

Method Summary
`java.lang.String` | `getDescription()` Server Pool Decription
`java.lang.Boolean` | `getHaEnable()` Get HA enable or disable
`java.lang.String` | `getPublishPool()` Get Published Pool Directory
`java.lang.String` | `getRunningPool()` Get running pool directory
`java.lang.String` | `getSeedPool()` Get Seed Pool Directory
`java.lang.Long` | `getServerPoolId()` Server Pool ID will be auto-generated by database squence.
`java.lang.String` | `getServerPoolName()` Server Pool Name
`java.lang.String` | `getSharableDiskPool()` Get shared Disk Pool Directory
`java.lang.String` | `getSharePool()` Get Share Pool Directory
`java.lang.String` | `getStatus()` Get Server Pool Status
`void` | `setDescription(java.lang.String description)` Server Pool Decription
`void` | `setHaEnable(java.lang.Boolean haEnable)` Set HA enable or disable
`void` | `setServerPoolId(java.lang.Long serverPoolId)` Server Pool ID will be auto-generated by database squence.
`void` | `setServerPoolName(java.lang.String serverPoolName)` Server Pool Name
`void` | `setStatus(java.lang.String status)` Set Server Pool Status
`java.lang.String` | `toString()` Override java.lang.Object.toString()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerPool

    public ServerPool()

Method Detail

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

  Server Pool ID will be auto-generated by database squence.
  Parameters:
    `serverPoolId` - Server Pool ID

### getServerPoolId

    public java.lang.Long getServerPoolId()

  Server Pool ID will be auto-generated by database squence.
  Returns:
    Server Pool ID

### setServerPoolName

    public void setServerPoolName(java.lang.String serverPoolName)

  Server Pool Name
  Parameters:
    `serverPoolName` - Server Pool Name

### getServerPoolName

    public java.lang.String getServerPoolName()

  Server Pool Name
  Returns:
    Server Pool Name

### setHaEnable

    public void setHaEnable(java.lang.Boolean haEnable)

  Set HA enable or disable
  Parameters:
    `haEnable` - HA Status

### getHaEnable

    public java.lang.Boolean getHaEnable()

  Get HA enable or disable
  Returns:
    HA Status

### setStatus

    public void setStatus(java.lang.String status)

  Set Server Pool Status
  Parameters:
    `status` - Server Pool Status

### getStatus

    public java.lang.String getStatus()

  Get Server Pool Status
  Returns:
    Server Pool Status

### getSharePool

    public java.lang.String getSharePool()

  Get Share Pool Directory
  Returns:
    Share Pool Directory

### getSeedPool

    public java.lang.String getSeedPool()

  Get Seed Pool Directory
  Returns:
    Seed Pool Directory

### getPublishPool

    public java.lang.String getPublishPool()

  Get Published Pool Directory
  Returns:
    Published Pool Directory

### getRunningPool

    public java.lang.String getRunningPool()

  Get running pool directory
  Returns:
    running pool directory

### getSharableDiskPool

    public java.lang.String getSharableDiskPool()

  Get shared Disk Pool Directory
  Returns:
    shared Disk Pool Directory

### setDescription

    public void setDescription(java.lang.String description)

  Server Pool Decription
  Parameters:
    `description` - Server Pool Decription

### getDescription

    public java.lang.String getDescription()

  Server Pool Decription
  Returns:
    Server Pool Decription

### toString

    public java.lang.String toString()

  Override java.lang.Object.toString()
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ServerPool Object description.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.